/*
Получение списка stack
*/

#Расскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      version = "4.4.0"
      source  = "basis/decort/decort"
    }
  }
}
*/
provider "decort" {
  authenticator = "oauth2"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://alpha.dev.decs.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso-alpha.dev.decs.online"
  allow_unverified_ssl = true
}

data "decort_stack_list" "stack_list" {
  #необязательный параметр
  #тип - число
  #фильтрация списка для получения информации о конкретном stack по его id
  #by_id = 

  #необязательный параметр
  #тип - строка
  #фильтрация списка для получения информации о конкретном stack по его имени
  #name = "alpha-cpu-04"

  #необязательный параметр
  #тип - строка
  #фильтрация списка для получения информации о конкретном stack по его типу
  #type = "KVM"

  #необязательный параметр
  #тип - строка
  #фильтрация списка для получения информации о конкретном stack по его статусу
  #status = "ENABLED"

  #номер страницы для отображения
  #опциональный параметр
  #тип - число
  #если не задан - выводятся все доступные данные
  #page = 2

  #размер страницы
  #опциональный параметр
  #тип - число
  #если не задан - выводятся все доступные данные
  #size = 3
}

output "test" {
  value = data.decort_stack_list.stack_list
}

